<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="fill_parent"
    android:layout_height="wrap_content"
    android:padding="10dp" >

    <TextView
        android:id="@+id/column1"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_weight="2" >
    </TextView>

    <TextView
        android:id="@+id/column2"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        android:gravity="center_horizontal" >
    </TextView>

    <TextView
        android:id="@+id/column3"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        android:gravity="center_horizontal" >
    </TextView>

    <TextView
        android:id="@+id/column4"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        android:gravity="center_horizontal" >
    </TextView>

    <TextView
        android:id="@+id/column5"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        android:gravity="center_horizontal" >
    </TextView>

    <TextView
        android:id="@+id/column6"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        android:gravity="center_horizontal" >
    </TextView>

</LinearLayout>
